This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 142224

Summary: NullPointerException at com.sun.tools.javac.comp.Check.isUnchecked
Product: java Reporter: gtg <gtg>
Component: CompilerAssignee: Dusan Balek <dbalek>
Status: RESOLVED FIXED    
Severity: blocker CC: damian_nb, hdhero
Priority: P3    
Version: 6.x   
Hardware: All   
OS: All   
URL: http://statistics.netbeans.org/exceptions/detail.do?id=77739
Issue Type: DEFECT Exception Reporter: 77739
Bug Depends on:    
Bug Blocks: 152191    
Attachments: message file form var/log directory
The other file from var/log

Description gtg 2008-07-30 13:57:26 UTC
Build: NetBeans IDE Dev (Build 200807251401)
VM: Java HotSpot(TM) 64-Bit Server VM, 10.0-b22, Java(TM) SE Runtime Environment, 1.6.0_06-b02
OS: Linux, 2.6.25.11-0.1-default, amd64

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Check.isUnchecked(Check.java:966)
        at com.sun.tools.javac.comp.Check.isUnchecked(Check.java:976)
        at com.sun.tools.javac.comp.Flow.markThrown(Flow.java:316)
        at com.sun.tools.javac.comp.Flow.visitThrow(Flow.java:1124)
        at com.sun.tools.javac.tree.JCTree$JCThrow.accept(JCTree.java:1242)
        at com.sun.tools.javac.tree.TreeScanner.scan(TreeScanner.java:49)
Comment 1 gtg 2008-08-01 10:45:49 UTC
Created attachment 66284 [details]
message file form var/log directory
Comment 2 gtg 2008-08-01 10:47:20 UTC
Created attachment 66285 [details]
The other file from var/log
Comment 3 Dusan Balek 2008-11-26 13:49:30 UTC
Fixed.

changeset 437fac7b652c in main/nb-javac
details: http://hg.netbeans.org/main/nb-javac?cmd=changeset;node=437fac7b652c
changeset 09ff15e4aad6 in main
details: http://hg.netbeans.org/main?cmd=changeset;node=09ff15e4aad6
Comment 4 Quality Engineering 2008-11-27 05:32:17 UTC
Integrated into 'main-golden', will be available in build *200811270201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/09ff15e4aad6
User: Dusan Balek <dbalek@netbeans.org>
Log: Issues #117148, #142224, #142829, #144800, #147851, and #146205 fixed.